Get trade quote Run in API Explorer
Ask AI
Requests an RFQ quote for the authenticated API key owner.
Body
Required
-
Trade amount. Interpreted by amountMode.
-
Currency to send.
Minimum length is
1. -
Currency to buy/receive.
Minimum length is
1. -
Use client_linked for a confirmable quote, or indicative for a preview.
Format should match the following pattern:
(?i)indicative|client_linked. Values areindicativeorclient_linked. -
base means amount is the send amount; quote means amount is the receive amount.
Format should match the following pattern:
(?i)base|quote. Values arebaseorquote.
POST
/api/v1/trades/quote
curl \
--request POST 'https://api.lumetrade.com/api/v1/trades/quote' \
--header "X-API-KEY: $API_KEY" \
--header "X-API-SECRET: $API_KEY" \
--header "Content-Type: application/json" \
--data '{"amount":100,"fromCurrency":"USDT","toCurrency":"ZAR","quoteIntent":"client_linked","amountMode":"base"}'
Request examples
{
"amount": 100,
"fromCurrency": "USDT",
"toCurrency": "ZAR",
"quoteIntent": "client_linked",
"amountMode": "base"
}
Response examples (200)
{
"amount": 100,
"fromCurrency": "USDT",
"toCurrency": "ZAR",
"toAmount": 1840,
"rate": 18.4,
"quoteStr": "rfq_quote_7K9Q2M",
"fromAmount": 100,
"quoteAmountMode": false
}
Response examples (400)
{
"amount": 100,
"fromCurrency": "USDT",
"toCurrency": "ZAR",
"toAmount": 1840,
"rate": 18.4,
"quoteStr": "rfq_quote_7K9Q2M",
"fromAmount": 100,
"quoteAmountMode": false
}